GuideLab API

Search Xero contacts

Search for contacts in the connected Xero organization while configuring mappings. Owner/admin only; provider access may idempotently refresh and persist an expired OAuth token. Requires a minimum 2-character query.

GET
/integrations/xero/contacts/search

Search for contacts in the connected Xero organization while configuring mappings. Owner/admin only; provider access may idempotently refresh and persist an expired OAuth token. Requires a minimum 2-character query.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/integrations/xero/contacts/search"
{  "data": [    {      "contactId": "string",      "name": "string",      "email": "string"    }  ]}
Empty